Please help to remove Update Blocker, PS4 jailbreak 5.05 !

Discussion in 'PS4 - Hacking & Homebrew' started by FXDX, Nov 9, 2019.

  1. FXDX
    OP

    FXDX Advanced Member

    Newcomer
    1
    Sep 15, 2019
    Costa Rica
    Hello guys.
    I have a friend who has a PS4 with jailbreak at 5.05. Yesterday hdd from console died. It replaced with a new one, but now it asks to re-install ofw 5.05 or higher. The problem is that he has run HEN payload with Update Blocker and now he is not allowed to reinstall ofw 5.05 and gives the error "The update file is corrupted (SU-30645-8)". I also tried with Recovery Firmwares 5.05. Is there any way to remove this Update Blocker from safe mode because we cannot start console with operating system to run payload to remove Update Blocker. Thanks in advance for your help and apologies for the bad english language.

    Update: Finally solved it. Thanks a lot guys for their support !!!!
     
    Last edited by FXDX, Nov 9, 2019
  2. hemi426

    hemi426 GBAtemp Regular

    Member
    5
    Mar 16, 2018
    Belgium
    If you put a new HDD you always have to use rec.pup and rename it to ps4update.pup
    USB:/PS4/UPDATE/PS4UPDATE.PUP
    Never heard that problem before,is your BD working?
     
    tusk99 and FXDX like this.
  3. FXDX
    OP

    FXDX Advanced Member

    Newcomer
    1
    Sep 15, 2019
    Costa Rica
    That's exactly what I did because I'm not really a beginner but it doesn't work. BD working. If the console before had jailbreak and HEN payload with Update Blocker was installed then you encounter this problem. Thanks for the advice but it doesn't work. Does anyone have any other ideas for solving this problem?
     
    Last edited by FXDX, Nov 9, 2019
  4. hemi426

    hemi426 GBAtemp Regular

    Member
    5
    Mar 16, 2018
    Belgium
    ask @KiiWii he knows a lot of stuff
     
    FXDX likes this.
  5. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    make sure to MD5 check the pup too, just incase.

    I guess if you had update blocker installed and the hdd died (or was removed and gone) then I suppose you’re stuck in a predicament and the only way would be to initialise the system, then insert new hdd, then install rec pup via usb.

    Theoretically, if you still had the original hdd (working), reinsert it, uninstall update blocker, and then proceed from there... but you can’t.
     
    FXDX likes this.
  6. FXDX
    OP

    FXDX Advanced Member

    Newcomer
    1
    Sep 15, 2019
    Costa Rica
    I tried what you say and it still doesn't work. The original hard drive is dead I can no longer use it as it was simple, I knew what I had to do. Does not work with any version of fw. I find that update blocker it is actually crap.
     
    Last edited by FXDX, Nov 9, 2019
  7. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    Can you initialise? Or it asks for firmware?

    @FXDX did you md5 the files?

    Update blocker only active on hdd as a file, without same hdd in the file is no longer present. Nothing is set in the NAND/NOR. So should be able to reinstall firmware.
     
    Last edited by KiiWii, Nov 9, 2019
    FXDX likes this.
  8. FXDX
    OP

    FXDX Advanced Member

    Newcomer
    1
    Sep 15, 2019
    Costa Rica
    In safe mode, even if I give it system initialization it prompts me to update to 5.05. After updating and the console must reboot gives me the above error. Until I remove update blocker I won't be able to do anything. I think so, except I don't know how to do this unless the system starts, to run HEN disable update blocker.:nayps3:
     
    Last edited by FXDX, Nov 9, 2019
  9. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    AFAIK update blocker doesn’t block in safe mode. It’s on the HDD as PS4UPDATE.PUP.net.temp file, so without the hdd in it can’t be blocking.
     
    FXDX likes this.
  10. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    @FXDX ok, download the 5.05 RECOVERY pup and MD5 it.

    Copy it to your USB stick, and MD5 the file on the stick now: make sure it’s fine.

    Retry the process again. If it fails it’s possible the flash memory the PS4 copies it to is corrupting it, and therefore it’s borked.
     
    FXDX likes this.
  11. hemi426

    hemi426 GBAtemp Regular

    Member
    5
    Mar 16, 2018
    Belgium
    That was my idee to, update Blokker is only active on hdd or not?
     
    FXDX and KiiWii like this.
  12. Leeful

    Leeful GBAtemp Member

    pip Developer
    9
    Sep 4, 2015
    United Kingdom
    • Download the 5.05 RECOVERY pup.
    • Rename it PS4UPDATE.PUP and put it in the PS4/UPDATE/ folder on a usb drive (everything must be uppercase)
    • Check the MD5 of the pup file on your USB drive. (5.05 RECOVERY MD5: C2A602174F6B1D8EF599640CD276924A)
    • Enter safe mode and select opton: 7.Initialise PS4(Reinstall System Software) (Do not use option 3 Update System Software!)
    Have you checked that the MD5 is correct?
    Are you sure you have been using option 7? because option 3 will not work.
     
    KiiWii and FXDX like this.
  13. FXDX
    OP

    FXDX Advanced Member

    Newcomer
    1
    Sep 15, 2019
    Costa Rica
    Finally solved it. I downloaded Recovery Firmwares 5.05 again, from DarkSoftware, checked it on onlinemd5, formatted usb stick fat 32, created the necessary folders then in safe mode I gave Initialise PS4, Reinstall System Software and managed to get an update to the end. Thanks a lot guys for their support.:grog::toot:
     
    Hayato213 and KiiWii like this.
  14. Leeful

    Leeful GBAtemp Member

    pip Developer
    9
    Sep 4, 2015
    United Kingdom
    Glad you got it sorted.:):)

    Most people dont know this but 99.9% of people who use a 5.05 PS4 have an Update Blocker automatically installed on their system without them even knowing it.

    If you have ever run HEN on your system you have also installed an Update Blocker because every version of HEN, from the original xVortex to the latest 2.1.1 creates 'PS4UPDATE.PUP' and a 'PS4UPDATE.PUP.net.temp' folders in their PS4's update folder to block the downloading of updates.

    This is exactly the same thing that the Update Blocker standalone payload does.

    The only version of HEN that does not do this is the HEN Lite version by codemaster who intentially removed that part to test if it reduced kernel panics.(Which unfortunatly it does not!)
     
    Last edited by Leeful, Nov 9, 2019
    FXDX likes this.
  15. FXDX
    OP

    FXDX Advanced Member

    Newcomer
    1
    Sep 15, 2019
    Costa Rica
    Thank you for the information !:yayps3:
     
    Leeful likes this.
Quick Reply
Draft saved Draft deleted
Loading...